compiler blender 2.59

Voir le sujet précédent Voir le sujet suivant Aller en bas

compiler blender 2.59

Message par hudouriezh le Jeu 18 Aoû - 18:24

Bonsoir,
Je viens de faire une mise à jour de blend version 2.59.
Petit soucis, à la fin j'ai une erreur :

intern/ghost/intern/GHOST_NDOFManagerX11.cpp:30:19: fatal error: spnav.h: Aucun fichier ou dossier de ce type
compilation terminated.
scons: *** [/home/hudouriezh/blender-svn/build/linux2/intern/ghost/intern/GHOST_NDOFManagerX11.o] Error 1
scons: building terminated because of errors.

Que doit-je faire. Sad Idea
Merci d'avance. A+
avatar
hudouriezh

Messages : 337
Date d'inscription : 18/12/2010
Age : 67
Localisation : cote d'azur

http://hudouriezh-3d.blogspot.com/

Revenir en haut Aller en bas

Re: compiler blender 2.59

Message par pbrn le Jeu 18 Aoû - 19:47

Bonsoir,
Tout à fait normal, il faut installer une nouvelle librairie de développement. Blender évolue et ils ajoutent de nouvelles fonctions..
J'ai indiqué ICI ce qu'il faut faire et en plus dans ton post depuis début Août ! Rolling Eyes
Tu installe cette librairie et tu relance la compilation et ça doit marcher ! Wink

Pourquoi recréer un nouveau Post ?
On est toujours dans la compilation de Blender ! Si tu avais posté ta question dans ton Post précédent, tu aurais vu ce qu'il fallait faire !

Il faut continuer à poster dans le Post Compilation de Blender, comme ça c'est plus faciles pour ceux qui ont un problème de voir tout de suite la solution.
Wink
@++

PS : J'ai modifié ton titre un peu trop fantaisiste, ce sera mieux pour Googlebot et pour les recherches. Si tu peux mettre des titres correspondants à ce que les gens peuvent rechercher, donc pas mots tronquées !!
Merci de ta compréhension ! Wink

_________________

                                                                                                                                     


avatar
pbrn
Admin

Messages : 2283
Date d'inscription : 22/04/2010
Age : 64
Localisation : Cognac

http://pbrn.blogspot.com/

Revenir en haut Aller en bas

Re: compiler blender 2.59

Message par hudouriezh le Ven 19 Aoû - 6:23

Bonjour,
J'ai retenu les recommandations ok.

J'essaye d'installer libspanv-dev, apparemment le terminal indique :

"impossible de trouver le paquet libspanv-dev."

A+
avatar
hudouriezh

Messages : 337
Date d'inscription : 18/12/2010
Age : 67
Localisation : cote d'azur

http://hudouriezh-3d.blogspot.com/

Revenir en haut Aller en bas

Re: compiler blender 2.59

Message par pbrn le Ven 19 Aoû - 12:14

Bonjour,
Vérifie la syntaxe et les espaces de la commande que tu as tapé, libspanv-dev existe bel et bien.

Une fois installée, tu compile et c'est bon !
Wink

PS: Actuellement, ce sont les dépendances qu'il faut installer ci-dessous
Code:
sudo apt-get install subversion build-essential gettext \
 libxi-dev libsndfile1-dev \
 libpng12-dev libfftw3-dev \
 libopenexr-dev libopenjpeg-dev \
 libopenal-dev libalut-dev libvorbis-dev \
 libglu1-mesa-dev libsdl1.2-dev libfreetype6-dev \
 libtiff4-dev libsamplerate0-dev libavdevice-dev \
 libavformat-dev libavutil-dev libavcodec-dev libjack-dev \
 libswscale-dev libx264-dev libmp3lame-dev python3.2-dev \
 libspnav-dev

Tu peux retaper cette commande entièrement, il te dira que c'est la version la plus récente qui est installée pour chaque dépendance. Par contre si il en trouve une qui n'est pas installée, il l'installera. Fait attention que si il te pose la question Oui ou Non, il faut valider Oui !!
Cool

_________________

                                                                                                                                     


avatar
pbrn
Admin

Messages : 2283
Date d'inscription : 22/04/2010
Age : 64
Localisation : Cognac

http://pbrn.blogspot.com/

Revenir en haut Aller en bas

Re: compiler blender 2.59

Message par hudouriezh le Ven 19 Aoû - 16:28

Ok,
Tout est rentré dans l’ordre. J’ai recopié la dernière formule que tu m’as donné ;
Il manquait belle et bien le fichier « libspanv-dev », ensuite du velours. Very Happy
J’ai passé la matinée à chercher le fichier sur le net, peut être mal. Embarassed
Merci encore, je vais faire comme toi, une remise à jour toute les semaines.
Entraiment oblige. bounce
A+
avatar
hudouriezh

Messages : 337
Date d'inscription : 18/12/2010
Age : 67
Localisation : cote d'azur

http://hudouriezh-3d.blogspot.com/

Revenir en haut Aller en bas

Re: compiler blender 2.59

Message par pbrn le Ven 19 Aoû - 18:58

Ce n'est pas la peine de chercher ces fichiers sur le Net.
Il suffit de les installer comme d'habitude, ils sont dans les dépôts. La seule chose qu'il faut connaître c'est sont nom.
Les librairies ***-dev sont des librairies de développement qui sont nécessaire pour la phase final de la compilation : le Linking.
Il va chercher dans ces librairies les codes nécessaires.
Comme ils ont ajouté une nouvelle fonction, il faut installer cette librairie avant de compiler.
L'erreur que tu as eu correspondait à cette librairie.

C'est pour ça qu'il faut poster dans le même Post, au fur et à mesure des modifs, j'indique la solution. Il y aura encore des modifs à faire au fur et à mesure de l'évolution.
Généralement en compilant toutes les semaines, ça marche bien pendant plusieurs semaines, voir des mois jusqu'à ce qu'il faille intégrer une nouvelle librairie...

Tu t'y feras avec le temps et en plus sous Linux, tu compileras d'autres programmes.

Le premier avantage de compiler un programme sur ta machine, c'est d'avoir un programme au plus près du matériel et bien entendu d'avoir les dernières avancées..
@++
Wink

_________________

                                                                                                                                     


avatar
pbrn
Admin

Messages : 2283
Date d'inscription : 22/04/2010
Age : 64
Localisation : Cognac

http://pbrn.blogspot.com/

Revenir en haut Aller en bas

Re: compiler blender 2.59

Message par hudouriezh le Ven 19 Aoû - 19:30

Merci pour l'explication.
@+ Very Happy
avatar
hudouriezh

Messages : 337
Date d'inscription : 18/12/2010
Age : 67
Localisation : cote d'azur

http://hudouriezh-3d.blogspot.com/

Revenir en haut Aller en bas

Re: compiler blender 2.59

Message par hudouriezh le Jeu 8 Déc - 18:26

Bonsoir,

Je viens de planter ubuntu. cela fait trois jours que j’essaye de remettre en route.
Après quelques heures de longue attente, ça marche.
Mais soucis pour la remise en service de Blender SVN.
la première partie de l'installation c'est bien mis en place. arrivé ici -->

********************************~/blender-svn/blender$ python scons/scons.py -j 2
scons: Reading SConscript files ...
Command-line arguments
No command-line arguments given
Command-line targets
No targets given, using default
Using config file: build_files/scons/config/linux-config.py
user-config.py not found, no user overrides

Build with parallel jobs: 2
Build with debug symbols: False

Missing: "/usr/include/python3.2m/Python.h",
Set 'BF_PYTHON_INC' to point to a valid python include path.
Containing Python.h for python version "3.2"


Je ne trouve pas de solution....
Pourriez-vous m'aider SVP.
Merci d'avance.
Les tribulations d'un blendedurien et Python.....

A j’oubliais c'est au cours d'une remise à jour vers UBUNTU 11.10
il a fallu aussi que installe Python 3.2, je pensais qu'il était inclus Rolling Eyes

@++

avatar
hudouriezh

Messages : 337
Date d'inscription : 18/12/2010
Age : 67
Localisation : cote d'azur

http://hudouriezh-3d.blogspot.com/

Revenir en haut Aller en bas

Re: compiler blender 2.59

Message par pbrn le Jeu 8 Déc - 18:50

Bonsoir,
Il n'y a pas de solution pour scons pour l'instant, ils travaillent dessus et c'est du boulot. Il faut être patient !
Mais si tu tiens absolument à compiler Blender, tu peux le faire avec make qui est un peu plus pointu !
Mais quel intérêt actuellement, des RC sortent presque toutes les semaines et qui préparent la sortie de la 2.61 officielle..
On peut compiler uniquement Blender 2.61 avec make pour l'instant étant donné que maintenant Blender intègre Cycles.
Tu peux peux télécharger Blender 2.61 RC1 qui est sortie juste hier ! Wink

_________________

                                                                                                                                     


avatar
pbrn
Admin

Messages : 2283
Date d'inscription : 22/04/2010
Age : 64
Localisation : Cognac

http://pbrn.blogspot.com/

Revenir en haut Aller en bas

Re: compiler blender 2.59

Message par Contenu sponsorisé


Contenu sponsorisé


Revenir en haut Aller en bas

Voir le sujet précédent Voir le sujet suivant Revenir en haut

- Sujets similaires

 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum